Create Item Image
curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"ImageData": "aSDinaTvuI8gbWludGxpZnk=",
"Filename": "itemImage.jpg",
"SalesChannelId": "1-1-1"
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/images"
payload = {
"ImageData": "aSDinaTvuI8gbWludGxpZnk=",
"Filename": "itemImage.jpg",
"SalesChannelId": "1-1-1"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ImageData: 'aSDinaTvuI8gbWludGxpZnk=',
Filename: 'itemImage.jpg',
SalesChannelId: '1-1-1'
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ItemId": 123,
"ImageId": 123,
"Filename": "itemImage.jpg",
"ImageDataType": "JPEG",
"SalesChannelId": "1-1-1",
"EbayUserName": "eBay_username",
"SortNumber": 3,
"Size": 921,
"Width": 1980,
"Height": 1024
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Create Item Image
Create a new image for a specific item
POST
/
items
/
{itemId}
/
images
Create Item Image
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
application/json
The ItemImage to create.
Response
The created item image.
Model Class: ItemImage
Name of the file.
Example:
"itemImage.jpg"
Type of image.
Example:
"JPEG"
Example:
"1-1-1"
Name of the eBay user if the sales channel is eBay.
Example:
"eBay_username"
The sort number for arranging images in sales channels. Every image needs to have an unique sort number per sales channel and item.
Example:
3
The size of an image.
Example:
921
The width of an image in pixels.
Example:
1980
The height of the image in pixels.
Example:
1024
Was this page helpful?